Imports System.Data.OleDb

Public Class Form1
    ' The connection object.
    Private conn As OleDbConnection

    ' Prepare the database connection.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Compose the database file name.
        ' This assumes it's in the executable's directory.
        Dim file_name As String = Application.StartupPath + "\Books.mdb"

        ' Connect.
        conn = New OleDbConnection( _
            "Provider=Microsoft.Jet.OLEDB.4.0;" & _
            "Data Source=" + file_name + ";" & _
            "Mode=Share Deny None")

        ' Select the first sample command.
        cboSamples.SelectedIndex = 0
    End Sub

    ' Display a sample command.
    Private Sub cboSamples_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSamples.SelectedIndexChanged
        Select Case cboSamples.Text
            Case "CREATE TABLE"
                txtCommand.Text = "CREATE TABLE Employees(" & vbCrLf & _
                    "  FirstName TEXT(50)," & vbCrLf & _
                    "  LastName TEXT(50)," & vbCrLf & _
                    "  EmployeeId INTEGER" & vbCrLf & _
                    ")"
            Case "INSERT INTO"
                txtCommand.Text = "INSERT INTO Employees" & vbCrLf & _
                    "  (FirstName, LastName, EmployeeId)" & vbCrLf & _
                    "VALUES" & vbCrLf & _
                    "  ('Alice', 'Archer', 1001)"
            Case "DROP TABLE"
                txtCommand.Text = "DROP TABLE Employees"
        End Select
    End Sub

    ' Execute the command.
    Private Sub btnExecute_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExecute.Click
        Dim cmd As New OleDbCommand()
        cmd.Connection = conn
        cmd.CommandText = txtCommand.Text

        Try
            conn.Open()
            cmd.ExecuteNonQuery()
            MessageBox.Show("Done")
        Catch ex As Exception
            MessageBox.Show("Error executing command.\n" + ex.Message)
        Finally
            conn.Close()
        End Try
    End Sub
End Class
